ALTER TABLE MONEY
ADD ID_PAYMENT_LINK NUMBER;

create table MONEY_PAYMENT_LINK_TMP
as (select m.id_money, p.id from money m, saldkont s, payment_link p
where m.id_menjave = s.id_exchange and s.id_dn = p.id_dn and p.status = 1
and m.znesek > 0 and m.id_payment_link is null);

update money m
set id_payment_link = (select max(id) from MONEY_PAYMENT_LINK_TMP tmp where tmp.id_money = m.id_money)
where m.id_money in (select id_money from MONEY_PAYMENT_LINK_TMP)
and m.id_payment_link is null;

drop table MONEY_PAYMENT_LINK_TMP;

create table MONEY_PAYMENT_LINK_TMP_2
as (select m.id_money, p.id from money m, saldkont s, saldkont_zap sz, payment_link p
where m.id_menjave = s.id_exchange and s.id_saldkont = sz.id_pl_saldkont and sz.id_saldkont = p.id_saldkont and p.status = 1
and m.znesek > 0 and m.id_payment_link is null);

update money m
set id_payment_link = (select max(id) from MONEY_PAYMENT_LINK_TMP_2 tmp where tmp.id_money = m.id_money)
where m.id_money in (select id_money from MONEY_PAYMENT_LINK_TMP_2)
and m.id_payment_link is null;

drop table MONEY_PAYMENT_LINK_TMP_2;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1704, SYSDATE, '5.5', 1624, 'Money idPaymentLink')
;