ALTER TABLE DATOTEKE_KUPCEV
ADD ID_REZERVAC NUMBER;

INSERT INTO NNDATOTEKE_KUPCEV_VRSTA(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('RED', 'Reservation document', 'Reservation document', 'Y');

DROP VIEW V_DATOTEKE_KUPCEV;

CREATE OR REPLACE VIEW V_DATOTEKE_KUPCEV AS (
SELECT D.ID_DATOTEKE_KUPCEV, D.ID_KUPCA, D.VRSTA, D.DATOTEKA, D.IME_DATOTEKE, D.KONCNICA, D.KOMENTAR, D.USER_KREIRANJA, D.DATUM_KREIRANJA, D.EXPIRY_DATE,
D.USER_SPREMEMBE, D.DATUM_SPREMEMBE, D.STATUS, D.VALID, D.FILE_REFERENCE, D.ID_POGODBE, D.ISSUE_DATE, D.ID_DN, D.ID_STORITVE, D.NNLOCATION_ID, D.ID_REZERVAC,
N.OPIS AS VRSTA_OPIS, N.INTERNI_OPIS AS VRSTA_INTERNI_OPIS, K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME, K.ID_MEMBER AS KUPCI_ID_MEMBER,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER
FROM DATOTEKE_KUPCEV D
LEFT OUTER JOIN NNDATOTEKE_KUPCEV_VRSTA N ON N.SIFRA = D.VRSTA
LEFT OUTER JOIN KUPCI K ON K.ID = D.ID_KUPCA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2039, SYSDATE, '5.5', 1959, 'Rezervac doc')
;
